<html>
<head>
    <title>Vue JS Template</title>
    <script src="vue.js"></script>
</head>

    <div id="app">
        <p>You're doctor?</p>
        <p v-if="xacdinh">Yes, I am</p>
        <p v-else>No, I am a teacher</p>
        <button @click="xacdinh = !xacdinh">Change condition</button>

        <template v-if="xacdinh">
            <div>Menu 1</div>
            <div>Menu 1</div>
            <div>Menu 1</div>
            <div>Menu 1</div>
        </template>
        <p v-show="xacdinh">Test show element!</p>
        <!--  -->
        <ul>
            <li v-for="(menu , i) in menus">{{ menu }} vơi index là:{{ i }}</li>
        </ul>
        <!--  -->
        <ul>
            <li v-for="student in students">
                <div v-for="(value, key , index) in student">{{ key }}: {{value}} ({{ index }})</div>
            </li>
        </ul>
        <!-- Lặp ra số thứ tự -->
        <div v-for="n in 10">{{ n }}</div>
    </div>

    <script>
        new Vue({
            el: '#app',
            data: {
                xacdinh: true,
                menus: ['Home','About','Blog','Contact','FAQ'],
                // 
                students: [
                    {name: 'Sky', age: 30, class: 'CNTT'},
                    {name: 'Albert', age: 32, class: 'QTKD'},
                    {name: 'John', age: 10, class: 'CDT'},

                ]
            }
        });
    </script>

</html>